{
  num: -1001, 
  name: "Draco Barrage",
  pp: 5,
  priority: 0,
  basePower: 100,
  accuracy: 100,
  type: "Dragon",
  category: "Special",
  flags: { protect: 1, mirror: 1 },
  secondary: null,
  target: "normal",
  recoil: [1, 3], 
  contestType: "Cool",

  onModifyMove(move, pokemon, target) {
    if (!move.ignoreImmunity || typeof move.ignoreImmunity !== 'object') {
      move.ignoreImmunity = {};
    }
    move.ignoreImmunity['Dragon'] = true;
    if (pokemon.getStat('atk', false, true) > pokemon.getStat('spa', false, true)) {
      move.category = 'Physical';
    } else {
      move.category = 'Special';
    }
  },
} 